Skip to main content
CosyVoice

Query a designed voice

POST
/services/audio/tts/customization
cURL
curl -X POST https://dashscope-intl.aliyuncs.com/api/v1/services/audio/tts/customization \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
  "model": "voice-enrollment",
  "input": {
    "action": "query_voice",
    "voice_id": "cosyvoice-v3-plus-vd-announcer-xxxxxx"
  }
}'
{
  "output": {
    "voice_id": "cosyvoice-v3-plus-vd-announcer-xxxxxx",
    "gmt_create": "2025-12-10 14:54:09",
    "gmt_modified": "2025-12-10 17:47:48",
    "target_model": "cosyvoice-v3-plus",
    "status": "OK",
    "voice_prompt": "A composed middle-aged male announcer with a deep, rich voice",
    "preview_text": "Dear listeners, hello everyone"
  },
  "usage": {},
  "request_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Authorizations

string
header
required

DashScope API key. Get one at API key.

Body

application/json
enum<string>
required

Fixed to voice-enrollment.

voice-enrollment
voice-enrollment
object
required

Response

200-application/json
object
object

Usage info.

string

Request ID for troubleshooting.

xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx